<?php 
 $width = '';
 $height = '';
 $errors = array();
 $area = '';
 // Check whether this script is showing the user the form for the first time or 
 // whether this script is being called after the user has submitted the form
 if ( isset($_GET['submitted']) ) 
 {
    $width = $_GET['width'];
	$height = $_GET['height'];
	// Validate the user-supplied width and height
    if ( ! is_numeric($width) || $width <= 0 ) 
    {
       $errors[] = 'The width must be a positive number.';
    }
    if ( ! is_numeric($height) || $height <= 0 ) 
    {
       $errors[] = "The height must be a positive number.";
    }
	// Calculate the area, if there are no errors
    if ( count($errors) == 0 ) 
    {
       $area = $width * $height;
    }
 }
?>

<?php echo '<?xml version="1.0" encoding="UTF-8"?>'; ?>
<!DOCTYPE html 
 PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Compute the area of your screen</title>
  <link rel="stylesheet" type="text/css" href="formlayout.css" />
</head>

<body>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="get">

  <fieldset>
   <legend>Enter the dimensions of your screen</legend>
   <p>
    <label for="widthField">Width (inches):</label>
    <input type="text" name="width" id="widthField" 
           value="<?php echo $width; ?>"
           size="4" maxlength="4" />
   </p>
   <p>
    <label for="heightField">Height (inches):</label>
    <input type="text" name="height" id="heightField" 
           value="<?php echo $height; ?>"
           size="4" maxlength="4" />
   </p>
 
   <div id="errors">
    <?php
	 // Output each error message, if any
	 foreach ($errors as $error)
	 {
	    echo "<p>ERROR: {$error}</p>";
	 }
	?>
   </div>

   <p>
    <input type="submit" name="submitted" value="Calculate area" />
   </p>
  </fieldset>

  <fieldset>
   <legend>Area of your screen</legend>
   <p>
    <label for="areaField">Area (square inches):</label>
    <input type="text" name="area" id="areaField" 
           value="<?php echo $area; ?>"
           size="5" maxlength="5"
           disabled="disabled" />
   </p>
  </fieldset>

</form>

</body>
</html>